Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 712558 - net-misc/wol-0.7.1-r2 : getline.h: error: conflicting types for getline
Summary: net-misc/wol-0.7.1-r2 : getline.h: error: conflicting types for getline
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Conrad Kostecki
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: missing-musl-includes
  Show dependency tree
 
Reported: 2020-03-14 19:15 UTC by Toralf Förster
Modified: 2020-08-27 20:59 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.40 KB, text/plain)
2020-03-14 19:15 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,83.38 KB, text/plain)
2020-03-14 19:15 UTC, Toralf Förster
Details
environment (environment,18.91 KB, text/plain)
2020-03-14 19:15 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.59 KB, application/x-bzip)
2020-03-14 19:15 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,12.97 KB, application/x-bzip)
2020-03-14 19:15 UTC, Toralf Förster
Details
net-misc:wol-0.7.1-r2:20200314-191118.log (net-misc:wol-0.7.1-r2:20200314-191118.log,30.14 KB, text/plain)
2020-03-14 19:15 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,10.86 KB, application/x-bzip)
2020-03-14 19:15 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-03-14 19:15:15 UTC
x86_64-gentoo-linux-musl-gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../intl -I../include    -O2 -pipe -march=native -fno-common -falign-functions=32:25:16 -W -Wall -Wpointer-arith -Wimplicit-function-declaration -c test -f getpass4.c || echo ./getpass4.c
In file included from getpass4.c:7:
getline.h:32:1: error: conflicting types for getline
   32 | getline PARAMS ((char **_lineptr, size_t *_n, FILE *_stream));
      | ^~~~~~~
In file included from getpass4.c:3:

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0_musl-20200311-204810

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-gentoo-linux-musl-9.2.0 *
 [2] x86_64-gentoo-linux-musl-9.3.0
clang version 10.0.0 
Target: x86_64-gentoo-linux-musl
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.1 *
The following VMs are available for generation-2:

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 14 Mar 2020 18:39:59 +0000
emerge -qpvO net-misc/wol
[ebuild  N    ] net-misc/wol-0.7.1-r2  USE="nls"
Comment 1 Toralf Förster gentoo-dev 2020-03-14 19:15:18 UTC
Created attachment 619148 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-14 19:15:21 UTC
Created attachment 619150 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-03-14 19:15:25 UTC
Created attachment 619152 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-03-14 19:15:27 UTC
Created attachment 619154 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-03-14 19:15:32 UTC
Created attachment 619156 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-03-14 19:15:35 UTC
Created attachment 619158 [details]
net-misc:wol-0.7.1-r2:20200314-191118.log
Comment 7 Toralf Förster gentoo-dev 2020-03-14 19:15:39 UTC
Created attachment 619160 [details]
temp.tbz2
Comment 8 Toralf Förster gentoo-dev 2020-03-16 16:12:43 UTC
The first attempt to tinderbox a musl image failed at all.

I'll mass close therefore all filed bug reports of the last days related to this tinderbox image.

Please feel free to re-open if you think that the bug is real in musl and not fixed by the musl overlay.
Comment 9 Larry the Git Cow gentoo-dev 2020-08-27 20:59:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9d1b1f359f8913a436f9f83d62d155916c40271

commit a9d1b1f359f8913a436f9f83d62d155916c40271
Author:     Conrad Kostecki <conikost@gentoo.org>
AuthorDate: 2020-08-27 20:01:44 +0000
Commit:     Conrad Kostecki <conikost@gentoo.org>
CommitDate: 2020-08-27 20:59:12 +0000

    net-misc/wol: fix compilation with musl
    
    Closes: https://bugs.gentoo.org/712558
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Conrad Kostecki <conikost@gentoo.org>

 net-misc/wol/files/wol-0.7.1-musl.patch | 17 +++++++++++++++++
 net-misc/wol/wol-0.7.1-r2.ebuild        |  2 ++
 2 files changed, 19 insertions(+)